/* ----------------------------------------
 * Origin  : GFI INFORMATIQUE 
 * Project : CDPP Propagation Tool 
 * ----------------------------------------
 * History 
 * Version : 01/05/2015 : SCA : V2.1
 * ----------------------------------------
 */
package fr.tlse.irap.pt.client.controller.tools.externalLinks;

import java.util.Date;

import fr.tlse.irap.pt.client.component.DialogComponent;
import fr.tlse.irap.pt.client.controller.RootController;

public class AmdaDialogBox {

	private static AmdaComponent amdaController;

	public static AmdaComponent getAmdaComponent() {
		if (amdaController == null) {
			amdaController = new AmdaComponent();
			new DialogComponent(amdaController, RootController.stage, "CDPP Interface");

		}
		amdaController.getDialog().toFront();
		return amdaController;
	}

	public static void show(Date startDate, Date endDate) {
		getAmdaComponent().initComponentWith(startDate, endDate);	}

}